use glyphon::TextArea;

use super::{fpsindicator::FpsIndicator, radar::Radar, status::Status};
use crate::{datastructs::RenderState, RenderInput};

pub struct UiManager {
	radar: Radar,
	status: Status,
	fps: FpsIndicator,
}

impl UiManager {
	pub fn new(state: &mut RenderState) -> Self {
		Self {
			radar: Radar::new(),
			status: Status::new(),
			fps: FpsIndicator::new(state),
		}
	}

	/// Draw all ui elements
	pub fn draw(&mut self, input: &RenderInput, state: &mut RenderState) {
		self.radar.draw(input, state);
		self.status.draw(input, state);
		self.fps.update(input, state);
	}

	pub fn get_textareas(&self) -> [TextArea; 1] {
		[self.fps.get_textarea()]
	}
}
