use crate::{wrapper::Wrapper, ParticleBuilder};
use galactica_content::Content;
use galactica_galaxy::Galaxy;
use galactica_util::timing::Timing;

/// External resources we need to compute time steps
pub struct StepResources<'a> {
	/// Game content
	pub ct: &'a Content,

	/// Game data
	pub gx: &'a mut Galaxy,

	/// Length of time step
	pub t: f32,

	/// Particles to create
	pub particles: &'a mut Vec<ParticleBuilder>,

	/// Record detailed frame timing breakdown
	pub timing: &'a mut Timing,

	/// Physics computer
	pub wrapper: &'a mut Wrapper,
}
